

model="openai/gpt-3.5-turbo-0125"
# model="openai/gpt-4-0613"

# crosslingual mixup MMLU
trans_lan="mixup"
python eval.py --model ${model}  --ntrain 0 --config ${trans_lan} --test_trans_lan ${trans_lan} --max_token 1 --infer_mode "generation"


# English MMLU
python eval.py --model ${model}  --ntrain 0 --config en --test_trans_lan "" --max_token 1 --infer_mode "generation"

# crosslingual MMLU

for pre in "full"  "gt" "gt_question" 
do
for lan in  "de" "fr" "es" "it"
do
trans_lan=${pre}_${lan}
echo $trans_lan
python eval.py --model ${model}  --ntrain 0 --config ${trans_lan} --test_trans_lan ${trans_lan} --max_token 1 --infer_mode "generation"
done
done


